Bug 1125983 - Release 0.28 is missing the changes from QPID-5637 that were listed in the release contents.
Summary: Release 0.28 is missing the changes from QPID-5637 that were listed in the re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qpid
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 14:20 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-12 21:57:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-5952 None None None Never

Description Darryl L. Pierce 2014-08-01 14:20:58 UTC
QPID-5952:

This is a packaging related bug. Both the QPID-5637 and QPID-5557 are fixed in Qpid 0.28. Both of those patches, patch code in python-qpid.

I have some confusion about what version of Qpid is being packaged with RHEL7. I believe the version available in base RHEL 7 is python-qpid-0.28-3.el7.noarch.rpm I can see that in these non-official packagers that build from SRPM like this one [0]. The version they provide is 0.28 release 3, and it does not include the patches that are supposed to be in version 0.28. I must be misunderstanding this because those two bugs were supposed to be fixed with 0.28.

I looked in EPEL and I don't see it there either [1]. What version is packaged with RHEL7?

[0]: http://rpm.pbone.net/index.php3/stat/4/idpl/26634679/dir/redhat_el_7/com/python-qpid-0.28-3.el7.noarch.rpm.html
[1]: https://fedoraproject.org/wiki/EPEL/epel7

Comment #1:

I pulled out the source tarball inside of the EL7 package above and compared it's MD5 sum to the tarball from the qpid.apache.org/download.html website. The MD5 sums for both files are identical:

$ md5sum qpid-python-0.28.tar.gz qpid-python-0.28.site.tar.gz 
e07a26549020c82f79f694aafb750bf0 qpid-python-0.28.tar.gz
e07a26549020c82f79f694aafb750bf0 qpid-python-0.28.site.tar.gz

I agree, I don't see the changes from QPID-5637 represented in the code. I do see 

QPID-5557. Looking at line 957:
    assrt = lnk.options.get("assert") in ("always", dir)
    requested_type = lnk.options.get("node", {}).get("type")
    def do_resolved(type, subtype):
which comes from the patch for QPID-5557:
     assrt = lnk.options.get("assert") in ("always", dir)
+    requested_type = lnk.options.get("node", {}).get("type")
     def do_resolved(type, subtype):


Note You need to log in before you can comment on or make changes to this bug.